ConfigurableUserClassFilePermissions (Gradle API 8.14.2)
Description: declaration: package: org.gradle.api.file, interface: ConfigurableUserClassFilePermissions

Package org.gradle.api.file

# Interface ConfigurableUserClassFilePermissions

All Superinterfaces:
  `UserClassFilePermissions`

public interface ConfigurableUserClassFilePermissions extends UserClassFilePermissions
Provides the means of specifying file and directory access permissions for a certain class of users (see `ConfigurableFilePermissions`).

For details on the actual permissions see `UserClassFilePermissions`.

Since:
  8.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setExecute(boolean execute)`
  Enables or disables execute access to a file or directory for a certain class of users.
  `void`
  `setRead(boolean read)`
  Enables or disables read access to a file or directory for a certain class of users.
  `void`
  `setWrite(boolean write)`
  Enables or disables write access to a file or directory for a certain class of users.

  ### Methods inherited from interface org.gradle.api.file.UserClassFilePermissions

  `getExecute, getRead, getWrite`

- ## Method Details

  - ### setRead

    void setRead(boolean read)
    Enables or disables read access to a file or directory for a certain class of users.

    Read access grants the capability to view the contents of a file, or to list the contents of a directory.

  - ### setWrite

    void setWrite(boolean write)
    Enables or disables write access to a file or directory for a certain class of users.

    Write access grants the capability to modify or remove the contents of a file, or to add or remove files to/from a directory.

  - ### setExecute

    void setExecute(boolean execute)
    Enables or disables execute access to a file or directory for a certain class of users.

    Execute access grant the capability to run a file as a program; executing a directory doesn't really make sense, it's more like a traverse permission; for example, a user must have 'execute' access to the 'bin' directory in order to execute the 'ls' or 'cd' commands.